<?php

add_action( 'customize_register', 'pagoda_press_line_height' );
function pagoda_press_line_height( $wp_customize ) {

    $wp_customize->add_setting( 'line_height', array(
        'default'     => pagoda_press_get_default_line_height(),
        'transport'   => 'postMessage',
        'sanitize_callback' => 'pagoda_press_sanitize_float'
    ) );

    $wp_customize->add_control( 'line_height', array(
        'type'        => 'number',
        'settings'    => 'line_height',
        'label'       =>  esc_html__( 'Line Height', 'pagoda-press' ),
        'section'     => 'pagoda_press_font_customization_section',
        'input_attrs' => array(
            'min' => 1,
            'max' => 5,
            'step' => 0.1
        )
    ) );

}

add_action( 'customize_preview_init', 'pagoda_press_line_height_enqueue_scripts' );
function pagoda_press_line_height_enqueue_scripts() {
    wp_enqueue_script( 'graphthemes-line-height-customizer', get_template_directory_uri() . '/inc/blocks/font-customization/line-height/customizer-line-height.js', array('jquery'), '', true );
}


add_action( 'wp_enqueue_scripts', 'pagoda_press_line_height_dynamic_css' );
function pagoda_press_line_height_dynamic_css() {

    $line_height = esc_attr( get_theme_mod( 'line_height', pagoda_press_get_default_line_height() ) );

    $dynamic_css = ":root { --line-height: $line_height; }";

    wp_add_inline_style( 'pagoda-press', $dynamic_css );
}